
import multiprocessing as MP
import os
import signal

from PyQt5.QtWidgets import QMainWindow

from src.gui.ui.window_ui import Ui_MainWindow

from src.proc_functions import Test


class MainWindow(QMainWindow):
  def __init__(self):
    QMainWindow.__init__(self)
    self.ui = Ui_MainWindow()
    self.ui.setupUi(self)

    self.test = Test()
    self.proc_list = []

    for i in range(3):
      self.proc_list.append(MP.Process(target = self.test.SleepOnly, args = (), daemon = True))


  def Proc_Start(self):
    for p in self.proc_list:
      p.start()


  def Proc_End(self):
    for p in self.proc_list:
      p.terminate()
      p.join()
    self.close()
